Skip to main content
POST
/
consumers
/
{consumer_id}
/
connections
/
{connection_id}
/
refresh_datalayer
Refresh the datalayer sync for a connection
curl --request POST \
  --url https://api.chift.eu/consumers/{consumer_id}/connections/{connection_id}/refresh_datalayer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "force_from_date": "2023-12-25"
}
'
{
  "status": "<string>",
  "message": "<string>",
  "data": {}
}

Authorizations

Authorization
string
header
required

This access token needs to be included in each of your request to the Chift API.

Path Parameters

consumer_id
string<uuid>
required
connection_id
string<uuid>
required

Body

application/json
force_from_date
string<date> | null

Force the refresh to (re)sync data from this date, overriding the flow configuration.

Response

Successful Response

status
string
required
message
string
required
data
Data · object | null